4Suite™ API Documentation

# ► Module Ft.Server.Server.SCore.RepositoryImp

Repository class
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: RepositoryImp

## Classes

class RepositoryImp(Ft.Server.Server.SCore.ContainerImp.ContainerImp)
Implementation for a repository instance

### Methods

__init__(self, path, driver, sessionId)
addXsltStrobe(self, path)
Register an XSLT file to be run on the strobe signal
checkLogin(self, username, password)
Check whether the given credentials are correct without actually logging in. Returns 1 if successful, else 0
createSession(self, key='', ttl=0, overriddenLogin=None)
Create a new session from this connection. If key is specified, then the session ID is generated from this key, and whenever the session is accessed, the key must be given or the session will be invalidated.
ttl - session time to live, in seconds.
If ttl is 0, the driver default is used (usually 15 minutes).
deleteSessionData(self, key)
Delete Session Data
fetchUserOrGroupByName(self, name)
Fetch a user or a group by name (not full path)
getAllDocumentDefinitionPaths(self)
Get a list of Paths for all of the document definitions in the system
getAllGroupNames(self)
Get a list of group names for all of the users in the system
getAllGroupPaths(self)
Get a list of Paths for all of the groups in the system
getAllUserNames(self)
Get a list of user names for all of the users in the system
getAllUserPaths(self)
Get a list of Paths for all of the users in the system
getCommand(self, commandName)
Get a command object by its name. The name should be dot-separated, like 4ss_manager.init
getCurrentUser(self)
getParent(self)
Overridden to return None, as the Repository has no parent
getSessionData(self, key)
Get Session Data
getSessionExpiration(self)
Get The expiration time of this session
getUserName(self)
############################################## #Transaction Interfaces ##############################################
hasSession(self)
See if this connection is in a session
invalidateSession(self)
Invalidate this session.
purgeTemporaryResources(self)
Remove from the repository all temporary resources that have outlived their lifetimes
reindex(self)
Performs a text-reindex on all metadocuments whose document definiton specifies a full text index
reloadModule(self, module)
runXsltStrobe(self)
searchDocuments(self, searchString)
Returns the paths to all metadocuments (whose document definitions specify that they are to be text indexed) that match the specified Swish query string
setSessionData(self, key, value)
Set Session Data
txCommit(self)
Commit the transaction associated w/ this repository instance
txRollback(self)
Rollback the transaction associated w/ this repository instance

### Methods inherited from class Ft.Server.Server.SCore.ContainerImp.ContainerImp

__contains__, __getitem__, __getslice__, __len__, createDocument, createGroup, createRawFile, createUriReferenceFile, createUser, createXPathDocumentDefinition, createXsltDocumentDefinition, deleteResource, get, getBasePath, getContent, has_key, index, items, iteritems, iterkeys, itervalues, keys, setContent, setPathTemporary, values

### Methods inherited from class Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp

expandXLink, getDocumentDefinition, getValidationInfo, setDocumentDefinition

### Methods inherited from class Ft.Server.Server.SCore.RawFileImp.RawFileImp

asSchematron, asStylesheet, getContentResource, getImt, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Server.SCore.ResourceMetaDataImp.ResourceMetaDataImp

__str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getContentSlice, getCreationDate, getDisplayPath, getExtFunctionsAndElements, getLastModifiedDate, getModel, getName, getOwner, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, hasResource, inheritAcl, isResourceType, markTemporary, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setOwner, toXPathContext, verifyAcl, xUpdate

### Methods inherited from class Ft.Server.Server.Drivers.FtssDriver.DataStoreContainer

childReferenceXML, createContainer, deleteContainer

### Fields